Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicFileChooserUI.AcceptAllFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          javax.swing.plaf.basic.BasicFileChooserUI.AcceptAllFileFilter

Enclosing class:
  BasicFileChooserUI

    protected class BasicFileChooserUI.AcceptAllFileFilter

extends FileFilter

Constructor Summary
`BasicFileChooserUI.AcceptAllFileFilter()`

Method Summary
`boolean` | `accept(File f)` Whether the given file is accepted by this filter.
`String` | `getDescription()` The description of this filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFileChooserUI.AcceptAllFileFilter

    public BasicFileChooserUI.AcceptAllFileFilter()

Method Detail

### accept

    public boolean accept(File f)

  Description copied from class: `FileFilter`
  Whether the given file is accepted by this filter.

  Specified by:
    `accept` in class `FileFilter`

### getDescription

    public String getDescription()

  Description copied from class: `FileFilter`
  The description of this filter. For example: "JPG and GIF Images"

  Specified by:
    `getDescription` in class `FileFilter`
  See Also:
    `FileView.getName(java.io.File)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.